<?php

Doo::loadCore('db/DooModel');

class eMailJournal extends DooModel {

    public $ejid;
    public $clientId;
    public $etid;
    
    public $status;
    public $date;
    public $email;
    
    public $title;
    public $clientName;
    
    public $_table = 'CLD_eMailJournal';
    public $_primarykey = 'ejid';
    
    public $_fields = array('ejid', 'clientId', 'etid' , 'status', 'email' , 'date' ,'title', 'clientName');

    /*
    function getClientByCid($cid){
    	$sql = "select * from " . $this->_table . " as a left join CLD_staff as b on (a.sid=b.sid)  where a.cid= '".$cid."' " ;
		
    	$query = Doo::db ()->query ( $sql );
		
		$result = $query->fetch ();
		
		return $result;
    }
    
    public function getProjectByIdList($projectid){
    	return $this->find ( array ('where' => "pid= '".$projectid."'", 'asArray' => TRUE ) );
    }
    */
}

?>